<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Accounts extends Controller_UserEnvi {

    public function action_index()
    {
        $twig = Twig::factory('admin/accounts/index');
        
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_getCodes()
    {
        $model = new Model_Admin_Students();
        Cookie::set('fD', 'true');
        $twig = Twig::factory('admin/accounts/codes');
        $twig->Faculties = DataArray::factory('Faculties')->common()->asArray();
        $twig->Grades = $this->getGrades();
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }    
    
      
    public function getGrades() {
        $grades = DataArray::factory('Grades')->common()->asArray();
        $gradesHandled = array(); $i = $j = 0; $degree = 'null';
        $degrees = array('bachelor' => 'Бакалавр', 'specialist' => 'Специалист', 'master' => 'Магистр');
        foreach($grades as $row)
        {
            if($degree != $row['Degree'])
            {
                $degree = $row['Degree'] ;
                $i++; $j = 0;
            }
            $j++;
            $gradesHandled[$i]['Title'] = $degrees[$row['Degree']];
            $gradesHandled[$i]['Grades'][$j]['ID'] = $row['ID'];
            $gradesHandled[$i]['Grades'][$j]['Num'] = $row['Num'];
        }
        return $gradesHandled;
    }        
}
            